Bug 496486 - Review Request: cclive - Command line video extraction utility
Review Request: cclive - Command line video extraction utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 11:50 EDT by Nicoleau Fabien
Modified: 2009-05-11 23:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2009-04-19 11:50:45 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/cclive.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/cclive-0.3.2-1.fc10.src.rpm
Description: 
cclive is a command line video extraction utility similar to clive but with
lower requirements. Its features are few and essential. Supports Youtube,
Googlevideo, Break, Liveleak, Sevenload, Evisortv and Dailymotion.

rpmlint is silent.
srpm builds under mock, and on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1307947
Comment 1 Susi Lehtola 2009-04-20 10:13:15 EDT
Please don't use macros in the url, it makes it unnecessarily hard to paste the URL into a browser.
Comment 2 Nicoleau Fabien 2009-04-20 12:45:19 EDT
Hi, thanks for taking the review.
I'll change the url to a "humand readable" one in next releases, if there are some changes to do, or before importing.
Comment 3 Susi Lehtola 2009-04-20 15:35:26 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX
- URL should not use %{name}.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. NEEDSFIX
- Time stamps are not preserved in install phase, use
 make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
instead of
 make DESTDIR=$RPM_BUILD_ROOT install

MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect  runtime of application. NEEDSFIX
- Do not ship INSTALL, it only contains compilation instructions.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 4 Nicoleau Fabien 2009-04-20 16:34:37 EDT
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/cclive.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/cclive-0.3.2-2.fc10.src.rpm

Changelog :
- URL fix
- Preserve timestamps
- Remove INSTALL file from doc section
Comment 5 Susi Lehtola 2009-04-20 16:58:55 EDT
Everything has been fixed; the package has been

APPROVED.
Comment 6 Nicoleau Fabien 2009-04-20 17:17:11 EDT
New Package CVS Request
=======================
Package Name: cclive
Short Description: Command line video extraction utility
Owners: eponyme
Branches: F-9 F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-04-23 12:43:28 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-23 17:07:56 EDT
cclive-0.3.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cclive-0.3.2-2.fc11
Comment 9 Fedora Update System 2009-04-23 17:08:58 EDT
cclive-0.3.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cclive-0.3.2-2.fc10
Comment 10 Fedora Update System 2009-04-23 17:09:48 EDT
cclive-0.3.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cclive-0.3.2-2.fc9
Comment 11 Fedora Update System 2009-04-27 17:29:24 EDT
cclive-0.3.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update cclive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3978
Comment 12 Fedora Update System 2009-04-27 17:34:27 EDT
cclive-0.3.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cclive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4009
Comment 13 Fedora Update System 2009-05-02 12:34:51 EDT
cclive-0.3.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-02 12:43:13 EDT
cclive-0.3.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-09 17:43:00 EDT
cclive-0.4.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cclive-0.4.2-1.fc11
Comment 16 Fedora Update System 2009-05-11 23:53:06 EDT
cclive-0.4.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.